
Katello - Bug #7395

system registration fails with `Mass assignment called with an unpermitted hash`

09/10/2014 05:25 AM - Stephen Benjamin

Status: Closed   

Priority: High   

Assignee: Eric Helms   

Category: Subscriptions   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/464
Description

Processing by Katello::Api::Rhsm::CandlepinProxiesController#consumer_activate as JSON

Parameters: {"facts"=>"[FILTERED]", "installedProducts"=>[{"productName"=>"Red Hat Enterprise Linux Server", "arch"=>"x86_64",

"version"=>"7.0", "productId"=>"69"}], "type"=>"system", "name"=>"test.bitbin.de", "owner"=>"Default_Organization",

"activation_keys"=>"RHEL 7", "candlepin_proxy"=>{"facts"=>"[FILTERED]", "installedProducts"=>[{"productName"=>"Red Hat

Enterprise Linux Server", "arch"=>"x86_64", "version"=>"7.0", "productId"=>"69"}], "type"=>"system", "name"=>"test.bitbin.de"}}

[ERROR 2014-09-10 11:21:06 cp_proxy] ActiveModel::ForbiddenAttributes: Mass assignment called with an unpermitted hash  |

/home/stbenjam/katello/app/lib/katello/forbidden_attributes_protection.rb:24:in `sanitize_for_mass_assignment'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-3.2.18/lib/active_record/attribute_assignment.rb:75:in

`assign_attributes'  | /home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-3.2.18/lib/active_record/base.rb:498:in `initialize'

| /home/stbenjam/katello/app/models/katello/glue/candlepin/consumer.rb:83:in `initialize'  |

/home/stbenjam/katello/app/controllers/katello/api/rhsm/candlepin_proxies_controller.rb:230:in `new'  |

/home/stbenjam/katello/app/controllers/katello/api/rhsm/candlepin_proxies_controller.rb:230:in `consumer_activate'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_controller/metal/implicit_render.rb:4:in `send_action'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/abstract_controller/base.rb:167:in `process_action'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_controller/metal/rendering.rb:10:in `process_action'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/abstract_controller/callbacks.rb:18:in `block in

process_action'  | /home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:560:in

`block (3 levels) in run_1887083155527271542__process_action__3735447345491394910__callbacks'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:215:in `block in

_conditional_callback_around_4579'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:326:in `around'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:310:in

`_callback_around_3357'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_4579'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:471:in `block (2 levels) in run

_1887083155527271542__process_action__3735447345491394910__callbacks'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:215:in `block in

_conditional_callback_around_4578'  | /home/stbenjam/foreman/app/models/concerns/foreman/thread_session.rb:33:in

`clear_thread'  | /home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_4578'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:426:in `block in run

_1887083155527271542__process_action__3735447345491394910__callbacks'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:215:in `block in

_conditional_callback_around_4577'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:326:in `around'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:310:in `_callback_around_13' 

| /home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_4577'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:414:in

`_run__1887083155527271542__process_action__3735447345491394910__callbacks'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:405:in `__run_callback'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:385:in

`_run_process_action_callbacks'  |
/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:81:in `run_callbacks'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/abstract_controller/callbacks.rb:17:in `process_action'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_controller/metal/rescue.rb:29:in `process_action'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_controller/metal/instrumentation.rb:30:in `block in

process_action'  | /home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/notifications.rb:123:in

`block in instrument'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/notifications/instrumenter.rb:20:in

`instrument'  | /home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/notifications.rb:123:in

`instrument'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_controller/metal/instrumentation.rb:29:in

`process_action'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_controller/metal/params_wrapper.rb:207:in

`process_action'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-3.2.18/lib/active_record/railties/controller_runtime.rb:18:in

`process_action'  | /home/stbenjam/katello/app/controllers/katello/api/api_controller.rb:61:in `process_action'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/abstract_controller/base.rb:121:in `process'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/abstract_controller/rendering.rb:45:in `process'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_controller/metal.rb:203:in `dispatch'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_controller/metal.rb:246:in `block in action'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/routing/route_set.rb:73:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/routing/route_set.rb:73:in `dispatch'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/routing/route_set.rb:36:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/routing/mapper.rb:43:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/routing/route_set.rb:608:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/railties-3.2.18/lib/rails/engine.rb:484:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/railties-3.2.18/lib/rails/railtie/configurable.rb:30:in `method_missing'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/routing/route_set.rb:608:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/static.rb:63:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/apipie-rails-0.2.6/lib/apipie/extractor/recorder.rb:97:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/apipie-rails-0.2.6/lib/apipie/middleware/checksum_in_headers.rb:27:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/best_standards_support.rb:17:in

`call'  | /home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/etag.rb:23:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/conditionalget.rb:35:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/head.rb:14:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/params_parser.rb:21:in `call'  |

/home/stbenjam/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/flash.rb:242:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:210:in `context'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:205:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/cookies.rb:341:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-3.2.18/lib/active_record/query_cache.rb:64:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-3.2.18/lib/active_record/connection_adapters/abstract/connection_po

ol.rb:479:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/callbacks.rb:28:in `block in call' 

| /home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:405:in

`_run__4509994193170922009__call__3717137319457670345__callbacks'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:405:in `__run_callback'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:385:in `_run_call_callbacks'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:81:in `run_callbacks'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/callbacks.rb:27:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/reloader.rb:65:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/remote_ip.rb:31:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call' 

| /home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/show_exceptions.rb:56:in `call' 

| /home/stbenjam/katello/lib/katello/middleware/silenced_logger.rb:30:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/request_id.rb:22:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/methodoverride.rb:21:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/runtime.rb:17:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/cache/strategy/local_cache.rb:72:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/lock.rb:15:in `call'  |
/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/static.rb:63:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/railties-3.2.18/lib/rails/engine.rb:484:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/railties-3.2.18/lib/rails/application.rb:231:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/railties-3.2.18/lib/rails/railtie/configurable.rb:30:in `method_missing'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/builder.rb:134:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/urlmap.rb:64:in `block in call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/urlmap.rb:49:in `each'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/urlmap.rb:49:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/content_length.rb:14:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/railties-3.2.18/lib/rails/rack/log_tailer.rb:17:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/handler/webrick.rb:59:in `service'  |

/home/stbenjam/.rvm/rubies/ruby-1.9.3-p448/lib/ruby/1.9.1/webrick/httpserver.rb:138:in `service'  |

/home/stbenjam/.rvm/rubies/ruby-1.9.3-p448/lib/ruby/1.9.1/webrick/httpserver.rb:94:in `run'  |

/home/stbenjam/.rvm/rubies/ruby-1.9.3-p448/lib/ruby/1.9.1/webrick/server.rb:191:in `block in start_thread'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `call'  |

/home/stbenjam/.rvm/gems/ruby-1.9.3-p448/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `block in

create_with_logging_context'

Completed 500 Internal Server Error in 294.8ms (Views: 0.4ms | ActiveRecord: 11.6ms)

With body: {"displayMessage":"Mass assignment called with an unpermitted hash","errors":["Mass assignment called with an

unpermitted hash"]}

Associated revisions

Revision 84e5d229 - 09/10/2014 09:22 AM - Eric Helms

Fixes #7395: Turn off strong params for Candlepin proxies controller.

Revision f2f655f8 - 09/11/2014 08:56 AM - Eric Helms

Merge pull request #4649 from ehelms/fixes-7395

Fixes #7395: Turn off strong params for Candlepin proxies controller.

History

#1 - 09/10/2014 09:22 AM - Eric Helms

- Assignee set to Eric Helms

- Target version set to 56

- translation missing: en.field_release set to 13

- Difficulty set to trivial

- Triaged changed from No to Yes

#2 - 09/10/2014 09:23 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4649 added

- Pull request deleted ()

#3 - 09/11/2014 09:01 AM - Eric Helms

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|84e5d229512d6f099a835102543d7ae465478b5a.
